<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mberanda extends CI_Model
{


    function __construct()
    {
        parent::__construct();
        $this->npwpd=$this->session->userdata('NIP');
    }
     function getProfil(){
        return $this->db->query("SELECT * FROM MS_PENGGUNA WHERE NIP='$this->npwpd'")->result();
     }
    // get data by id
    function get_by_id($jp)
    {
        $this->db->where('ID_INC', $jp);
        return $this->db->get('TEMPAT_USAHA')->row();
    }
    function getOb($id)
    {
        $this->db->where('ID_OP', $id);
        return $this->db->get('OBJEK_PAJAK')->row();
    }

    // get data by id
    function getWp()
    {
        return $this->db->query("SELECT ALAMAT, NO_TELP FROM WAJIB_PAJAK WHERE NPWP='$this->npwpd'")->row();
    }
    function getTu()
    {
        return $this->db->query("SELECT a.ID_INC, NAMA_USAHA, ALAMAT_USAHA, JENIS_PAJAK,NAMA_PAJAK FROM TEMPAT_USAHA a
            JOIN JENIS_PAJAK b on a.JENIS_PAJAK=b.ID_INC WHERE NPWPD='$this->npwpd' AND (JENIS_PAJAK!='08' AND JENIS_PAJAK!='04') order by JENIS_PAJAK asc")->result();
    }
    function jsonwp($id="") {
        
        if ($id=='') {
           $wh="JENIS_PAJAK=''";
        } else {
           $wh="JENIS_PAJAK='$id'";
        }        
        $this->datatables->select('NPWP,NAMA,ALAMAT,JENIS');
        $this->datatables->from("V_WP_PERPAJAK");
        $this->datatables->where("$wh");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Master/pokok/detail_objek_pajak/$1'),'Detail','class="btn btn-xs btn-info"  ').'</div>', "acak(NPWP)");
        return $this->datatables->generate();
    }
    function json_dataentry($id=""){
         $bulan=date('n');
         $tahun=date('Y');
            if ($id=='') {
                $wh="MASA_PAJAK='$bulan' AND JENIS_PAJAK='' AND TAHUN_PAJAK='$tahun'";
            } else {
               $wh="MASA_PAJAK='$bulan' AND JENIS_PAJAK='$id' AND TAHUN_PAJAK='$tahun'";
            }
        $this->datatables->select("A.ID_INC,NPWPD,KODE_BILING,NAMA_WP,ALAMAT_WP,OBJEK_PAJAK,ALAMAT_OP,JENIS_PAJAK,(TAGIHAN+DENDA-POTONGAN) TAGIHAN,NAMAKEC,NAMAKELURAHAN,DATE_BAYAR");
        $this->datatables->from('TAGIHAN A'); 
        $this->datatables->join('KECAMATAN D', 'A.KODEKEC = D.KODEKEC');
        $this->datatables->join('KELURAHAN E', 'A.KODEKEL = E.KODEKELURAHAN AND A.KODEKEC=E.KODEKEC');
        $this->datatables->where($wh);
        return $this->datatables->generate();
                                  
    }
        function jsonwp_wpbaru() {
        $wh="STATUS='0'";
        $this->datatables->select("NPWP,NAMA,ALAMAT,CASE WHEN JENISWP = 1 THEN 'Perorangan' ELSE 'Badan Hukum' END
               JENISWP,STATUS,WP_ID");
        $this->datatables->from("WAJIB_PAJAK");
        $this->datatables->where("$wh");
        return $this->datatables->generate();
    }
    
}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */